unit expgenerate;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,ToolIntf,ExptIntf,IStreams,editintf,expgenerate_frm;

type
  TBlankExpert = class (TIExpert)
  public
    MemoSource: TMemo;
    MemoForm: TMemo;
    function GetStyle: TExpertStyle; override;
    function GetName: string; override;
    function GetAuthor: string; override;
    function GetComment: string; override;
    function GetPage: string; override;
    function GetGlyph: HICON; override;
    function GetState: TExpertState; override;
    function GetIDString: string; override;
    function GetMenuText: string; override;
    procedure Execute; override;
  end;
var BlankExpert   :TBlankExpert;
    frm           :tform;

procedure Register;

implementation


function TBlankExpert.GetStyle: TExpertStyle;
begin
  // show up in the Help menu
  Result := esStandard;
end;

function TBlankExpert.GetName: String;
begin
  // official name
  Result := 'Sybase Form Wizard'
end;

function TBlankExpert.GetAuthor: string;
begin
  Result := 'Stephan Marais';
end;

function TBlankExpert.GetComment: String;
begin
  Result := 'Sybase DbLib Form Wizard';
end;

function TBlankExpert.GetPage: string;
begin
  Result := '';
end;

function TBlankExpert.GetGlyph: HICON;
begin
  Result := 0;
end;

function TBlankExpert.GetState: TExpertState;
begin
  // always enabled, never checked
  Result := [esEnabled];
end;

function TBlankExpert.GetIDString: String;
begin
  // must be unique
  Result := 'Sybase.FormWizard'
end;

function TBlankExpert.GetMenuText: String;
begin
  // the text of the menu item
  Result := '&Sybase Form Wizard'
end;

procedure TBlankExpert.Execute;
begin
{  BlankExpert:=TBlankExpert.create;}
  f_exp:=tf_exp.create(application);
  f_exp.showmodal;
  f_exp.Destroy;
end;


procedure Register;
begin
  RegisterLibraryExpert(TBlankExpert.Create);
end;

end.
